
<!-- search -->
<div class="admin-col">
  <button id='header-collapse-rcasearch' class="btn btn-full-with collapsed" type="button" data-toggle="collapse" data-target="#collapse-rcasearch" aria-expanded="false" aria-controls="collapse-rcasearch">
    <%= fa_icon('search', class: 'icon-grey icon-btn icon-margin') %>
    <%= t('.search') %>
    <%= fa_icon('exclamation-triangle', style: 'color:#ea5;', title: 'Filters activated.') if @something_to_search %>
    <span class='collapse-btn-right'>
      <span class="collapse-icon"><%= fa_icon('caret-down') %></span>
    </span>
  </button>

  <div id='collapse-rcasearch' class="admin-col-content collapse-prowhy-ls collapse">
    <%= render partial: 'rcas_search' %>
  </div>
</div>

<!-- charts -->
<div class="admin-col">
  <button id='header-collapse-charts' class="btn btn-full-with collapsed" type="button" data-toggle="collapse" data-target="#collapse-charts" aria-expanded="false" aria-controls="collapse-charts">
    <%= fa_icon('chart-bar', class: 'icon-grey icon-btn icon-margin') %>
    <%= t('.graph_adv') %>
    <span class='collapse-btn-right'>
      <span class="collapse-icon"><%= fa_icon('caret-down') %></span>
    </span>
  </button>

  <div id='collapse-charts' class="admin-col-content collapse-prowhy-ls show collapse">
      <nav class="nav nav-tabs">
        <a class="nav-item nav-link active" href="#chart_0" data-toggle="tab">All</a>
        <% Meth::Methodology.rca_methodologies_all.each do |methodology|
             next if methodology.locked %>
          <a class="nav-item nav-link" href="#chart_<%= methodology.id %>" data-toggle="tab"><%= methodology.name %></a>
        <% end %>
      </nav>
      <div class="tab-content">
        <div class="chart-container tab-pane active" id="chart_0" style="position: relative; height:30vw; width:90vw">
          <canvas attr-chart-labels='<%= @advance_labels[0].to_json.html_safe %>'
                  attr-chart-values='<%= @advance_values[0].to_json.html_safe %>'
                  class='home-page-charts'> <!-- style="position: relative; height:40vh; width:80vw" -->
          </canvas>
        </div>
        <% Meth::Methodology.rca_methodologies_all.each do |methodology|
             next if methodology.locked %>
          <div class="chart-container tab-pane" id="chart_<%= methodology.id %>" style="position: relative; height:30vw; width:90vw">
            <canvas attr-chart-labels='<%= @advance_labels[methodology.id].to_json.html_safe %>'
                    attr-chart-values='<%= @advance_values[methodology.id].to_json.html_safe %>'
                    class='home-page-charts'> <!-- style="position: relative; height:40vh; width:80vw" -->
            </canvas>
          </div>
        <% end %>
      </div>
  </div>
</div>

<!-- rcas list -->
<div class="admin-col">
  <div class="admin-col-title admin-col-title-grey admin-col-title-bold">
    <div class="row"><div class="col-4">
    <button id='header-collapse-rcalist' class="btn collapsed" type="button" data-toggle="collapse" data-target="#collapse-rcalist" aria-expanded="false" aria-controls="collapse-rcalist">
      <%= fa_icon('th-list', class: 'icon-grey icon-btn icon-margin') %>
      <%= t('.title', rca: Rca.model_name.human) %>

      <span class="collapse-icon"><%= fa_icon('caret-down') %></span>
    </button>
    </div></div>
  </div>
  <div id='collapse-rcalist' class="admin-col-content collapse-prowhy-ls show collapse">
    <%= render partial: 'rcas_list' %>
  </div>
</div>

<script>
  // document.addEventListener("turbolinks:load", () => {
  //   Packs.indicators_pack.draw_home_page_charts();
  // });
</script>
